For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETGet channels
LogoLogo
API ReferenceChannels

Get channels

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2025-07/channel
GET
/2025-07/channel
$curl https://sandbox-api.shipbob.com/2025-07/channel \
> -H "Authorization: Bearer <token>"
1{
2 "items": [
3 {
4 "application_name": "SMA",
5 "id": 128944,
6 "name": "Privileged Access Token Wednesday, July 9, 2025",
7 "scopes": [
8 "pricing_read",
9 "fulfillments_write",
10 "returns_read",
11 "receiving_read",
12 "fulfillments_read",
13 "returns_write",
14 "locations_write",
15 "channels_read",
16 "webhooks_write",
17 "locations_read",
18 "orders_write",
19 "webhooks_read",
20 "inventory_read",
21 "billing_read",
22 "receiving_write",
23 "inventory_write",
24 "orders_read",
25 "products_read",
26 "products_write"
27 ]
28 },
29 {
30 "application_name": "ShipBob",
31 "id": 128943,
32 "name": "ShipBob Default",
33 "scopes": [
34 "pricing_read",
35 "returns_read",
36 "receiving_read",
37 "fulfillments_read",
38 "channels_read",
39 "locations_read",
40 "webhooks_read",
41 "inventory_read",
42 "billing_read",
43 "orders_read",
44 "products_read"
45 ]
46 }
47 ],
48 "next": "/2025-07/channel?cursor=eyJJZCI6NzY4MzksIkN1cnNvclR5cGUiOjB5",
49 "prev": "/2025-07/channel?cursor=eyJJZCI6NzY4NDAsIkN1cnNvclR5cGUiOjF8"
50}
Retrieves a paginated list of channels that the authenticated user has access to based on the provided access token.
Was this page helpful?
Next

Delete Subscription

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

RecordsPerPageintegerOptionalDefaults to 50
The number of records to return per page. This parameter is used for pagination. If not provided, a default value will be used.
CursorstringOptional
A cursor for pagination. This parameter is used to fetch the next set of results.

Response

Success
itemslist of objects
List of channels
nextstring
Next page url
prevstring
Previous page url

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error